tigase.kernel

## Class DependencyManager

- java.lang.Object
- - tigase.kernel.DependencyManager

-     public class DependencyManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependencyManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BeanConfig` | `createBeanConfig(String beanName, Class<?> beanClass)`
    `BeanConfig[]` | `getBeanConfig(Dependency dependency)`
    `BeanConfig` | `getBeanConfig(String beanName)`
    `Collection<BeanConfig>` | `getBeanConfigs()`
    `List<BeanConfig>` | `getBeanConfigs(Class<?> type)`
    `protected void` | `prepareDependencies(BeanConfig beanConfig)`
    `BeanConfig` | `registerBeanClass(String beanName, Class<?> beanClass)`
    `void` | `unregister(String beanName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyManager

          public DependencyManager()

  - ### Method Detail

    - #### createBeanConfig

          protected BeanConfig createBeanConfig(String beanName,
                                    Class<?> beanClass)

    - #### getBeanConfig

          public BeanConfig[] getBeanConfig(Dependency dependency)

    - #### getBeanConfig

          public BeanConfig getBeanConfig(String beanName)

    - #### getBeanConfigs

          public Collection<BeanConfig> getBeanConfigs()

    - #### getBeanConfigs

          public List<BeanConfig> getBeanConfigs(Class<?> type)

    - #### prepareDependencies

          protected void prepareDependencies(BeanConfig beanConfig)

    - #### registerBeanClass

          public BeanConfig registerBeanClass(String beanName,
                                     Class<?> beanClass)

    - #### unregister

          public void unregister(String beanName)

Copyright © 2015 "Tigase, Inc.". All rights reserved.